Set stream automation
POST/v1/streams/{streamSettingsId}/automation
POST
/v1/streams/{streamSettingsId}/automation
const url = 'https://api.ligr.live/rest/v1/streams/1/automation';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"autoStream":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v1/streams/1/automation \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "autoStream": true }'Turns Auto Stream on or off. With it on, the stream starts and stops at the automation times
of the match. The match needs pregame and postgame automation times first. Auto Graphics is
the autoMode field of the overlay. See update overlay.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”streamSettingsId
required
Entity identifier
integer format: int32
The stream settings identifier
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
autoStream
required
Auto Stream. When true, the stream starts and stops at the automation times of the match. The match needs pregame and postgame automation times first.
boolean
Examplegenerated
{ "autoStream": true}Responses
Section titled “Responses”Ok
Media typeapplication/json
object
streamSettingsId
required
Entity identifier
integer format: int32
autoStream
required
boolean
Examplegenerated
{ "streamSettingsId": 1, "autoStream": true}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Stream not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}